Page MenuHomePhabricator

Allow query of nearby articles based on zoom level.
Closed, DeclinedPublic

Description

In the Android app, we've recently implemented a "nearby" feature that plots nearby articles on an actual map, with tiles retrieved from https://maps.wikipedia.org

So far, this feature is only useful at relatively narrow zoom levels (i.e. level 15+). If we zoom out any farther than that, then the number of nearby articles (especially for an area dense with relevant content) becomes too much for the user to wade through:

It would be useful if the API allowed us to specify a "zoom level" parameter to filter search results based on zoom scale. For instance, if I zoom out to fit the entire state of Ohio into my viewport, I would expect to see Wikipedia articles corresponding to major cities or counties in the state, and not any particular districts or establishments within any city. As I zoom in to a particular city, I would expect to start seeing city-specific articles, such as landmarks, museums, etc.

Of course, this would also necessitate expanding the "radius" of the nearby search to much greater than the current 10km :)

Event Timeline

Dbrant created this task.Sep 28 2015, 11:59 PM
Dbrant raised the priority of this task from to Needs Triage.
Dbrant updated the task description. (Show Details)
Dbrant moved this task to Backlog on the GeoData board.
Dbrant added subscribers: Dbrant, Deskana.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 28 2015, 11:59 PM

note: WikiWand does this:

awight added a subscriber: awight.Dec 8 2015, 5:47 AM

In my memory of the Wikipedia layer in Google Maps, as you zoom out, areas of higher article density would be gathered together into a larger Wikipedia icon. It was a nice experience. But sadly discontinued, so I can't screenshot here...

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptDec 8 2015, 5:47 AM
RHo added a subscriber: RHo.Apr 27 2016, 8:54 PM
LGoto closed this task as Declined.Apr 3 2018, 10:33 PM
LGoto added a subscriber: LGoto.

Closed as part of board grooming process.